Skip to main content

Update project gateways

PUT https://delivery-api.paysera.com/rest/v1/projects/{projectId}/gateways

Update the gateway configuration for a project.

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="YOUR_PROJECT_ID",ts="1234567890",nonce="xyz123",mac="GENERATED_MAC_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, please refer to the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
projectIdstring✓Project identifier

Request Body​

FieldTypeRequiredDescription
gateway_idsarrayArray of gateway IDs to assign to the project

Example​

Request​

PUT https://delivery-api.paysera.com/rest/v1/projects/{projectId}/gateways
Content-Type: application/json
Authorization: MAC id="YOUR_PROJECT_ID",ts="1234567890",nonce="xyz123",mac="GENERATED_MAC_HASH"
{}

Response​

{
"gateways": [
{
"id": 1,
"code": "TODO",
"name": "TODO"
}
]
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://delivery-api.paysera.com

RESPONSE

Project gateways updated successfully
{
"gateways": [
{
"id": 1,
"code": "TODO",
"name": "TODO"
}
]
}